;----------Special  Register----------

#DEFINE		INDF		00H
#DEFINE		PCL 		01H
#DEFINE		PCH		02H
#DEFINE		STATUS  	03H
#DEFINE		FSR     	04H
#DEFINE		PA_DIR  	05H
#DEFINE		PA      	06H
#DEFINE		PB_DIR		07H
#DEFINE		PB		08H
#DEFINE		PC_DIR		09H
#DEFINE		PC		0AH
#DEFINE		PD_DIR		0BH
#DEFINE		PD		0CH

#DEFINE		TM0_CTL		10H	;TIMER0:16-BIT TIMER
#DEFINE		TM0L_LA		11H
#DEFINE		TM0H_LA		12H
#DEFINE		TM0L_CNT	13H
#DEFINE		TM0H_CNT	14H

#DEFINE		TM1_CTL1	15H	;TIMER1:8-BIT PWM(period)&Timer
#DEFINE		TM1_CTL2	16H
#DEFINE		TM1_LA		17H
#DEFINE		TM1_CNT		18H

#DEFINE		TM2_CTL		19H	;TIMER2:8-BIT PWM(Duty)&Timer
#DEFINE		TM2_LA		1AH
#DEFINE		TM2_CNT		1BH

#DEFINE		TM3_CTL1	1CH	;TIMER3:8-BIT PWM(period)&Timer
#DEFINE		TM3_CTL2	1DH
#DEFINE		TM3_LA		1EH
#DEFINE		TM3_CNT		1FH

#DEFINE		TM4_CTL		20H	;TIMER2:8-BIT PWM(Duty)&Timer
#DEFINE		TM4_LA		21H
#DEFINE		TM4_CNT		22H

#DEFINE		IRQM		25H	;IRQ
#DEFINE		IRQF		26H
#DEFINE		IRQM_1		27H
#DEFINE		IRQF_1		28H

#DEFINE		AD_CTL1		29H	;ADC Control
#DEFINE		AD_CTL2		2AH
#DEFINE		AD_CTL3		2BH
#DEFINE		AD_DATL		2CH
#DEFINE		AD_DATH		2DH

#DEFINE		CMP_CTL		2FH
#DEFINE		FREQ_CTL	30H
#DEFINE		PA_PLU		31H
#DEFINE		PB_PLU		32H
#DEFINE		PC_PLU		33H
#DEFINE		PD_PLU		34H
#DEFINE		IO_INTE		35H
#DEFINE		PA_INTE		3AH
#DEFINE		WDT_CTL		3DH
#DEFINE		TAB_BNK		3EH
#DEFINE		SYS_CTL		3FH

;--------------BIT DEFINE-------------------

#DEFINE		C		STATUS,0
#DEFINE		DC		STATUS,1
#DEFINE		Z		STATUS,2
#DEFINE		PDB		STATUS,3
#DEFINE		TOB		STATUS,4
#DEFINE		SA0		STATUS,5
#DEFINE		SA1		STATUS,6

#DEFINE		TM0M		IRQM,0
#DEFINE		TM1M		IRQM,1
#DEFINE		TM2M		IRQM,2
#DEFINE		TM3M		IRQM,3
#DEFINE		TM4M		IRQM,4
#DEFINE		PAM		IRQM,5
#DEFINE		ADCM		IRQM,6
#DEFINE		INTM		IRQM,7

#DEFINE		TM0F		IRQF,0
#DEFINE		TM1F		IRQF,1
#DEFINE		TM2F		IRQF,2
#DEFINE		TM3F		IRQF,3
#DEFINE		TM4F		IRQF,4
#DEFINE		PAF		IRQF,5
#DEFINE		ADCF		IRQF,6
#DEFINE		INTF		IRQF,7
